Next Generation Emulation banner

1 - 10 of 10 Posts

·
Registered
Joined
·
6 Posts
Discussion Starter · #1 ·
I have no problem booting and playing FF8 Pal. I'm playing from a bin/cue dump I made with IsoBuster, from the original UK Pal version (not the Platinum Edition).
My question is, since I know there are ppf patches for this game, what problems are these patches supposed to fix? Do I have to download them if I want to play through without problems, or has the problems they fix been solved? I'm using ePSXe 1.6.0. I really prefer not to use patches, as I don't know who made them, or if they contain malicious code.
 

·
Registered
Joined
·
6 Posts
Discussion Starter · #3 ·
Then there's a problem with the help file:

Specific Games -> Final Fantasy 8 PAL
"You need to use a patched backup version, the original one is not working. To learn how to apply the so called "PPF Patches", consult the features section in this help me file, or Pete's CD plugin readme. "

I haven't tried playing the original CDs (I prefer to make a copy to harddisk at once, to avoid scratching), but I certainly didn't patch the ISO image in any way.
 

·
Premium Member
Joined
·
21,977 Posts
so this is what the ISO said when you downloaded it? oO im trying to follow you here.
 

·
Registered
Joined
·
6 Posts
Discussion Starter · #5 ·
Like I said, I made it myself. If I had downloaded it, I wouldn't know what had been done to it, it might have been patched. Since I made it just a few hours ago, since I haven't done anything to it, and since I assume that IsoBuster doesn't autopatch things, I would say somethings wrong here. Either the help file is wrong, or there's some other bug that the patches fixes.

EDIT: Ah, I get it, you wonder where the text came from. It's from ePSXe's own help file.
 

·
Premium Member
Joined
·
21,977 Posts
what is that help file from? oO

and, did you try to run it yet without patches? i dont know if FF8 actually needs a patch (like FF9 does)
 

·
Registered
Joined
·
6 Posts
Discussion Starter · #7 ·
When I start ePSXe, there's a option in the upper right corner called "Help". When I choose that, then choose "Contents", I get to a help file. In there, I choose "Specific Games", then "Final Fantasy 8 PAL". That's where I found the text.
What bothers me is that this text speaks of a problem that has to be solved with patches, yet I've had no problem running the game WITHOUT patches.
I just tried running the original CDs, and they don't seem to require patching either.

EDIT: The reason this bothers me is because there might be some problem, that I might only find out about after I've lost data in some way. Therefore I ask: Are the patches really necesary, or is the help file wrong?
 

·
Premium Member
Joined
·
3,093 Posts
If the game boots up, you don't need them. My FF8 used to start directly from the cd without problems, but one refused to. The patch solved the problem. Anyway, i use my own patches, made with peops cd plugin.
 

·
Premium Member
Joined
·
6,341 Posts
It might need the patch somewhere in the middle of the game (rather than at bootup), in which case the worst thing that could happen to you is that you forget to save for a few hours then lose all of that progress if/when the game freezes. I would recommend patching it anyways to ensure nothing like that happens. I haven't heard of PPF patches doing anything bad to anyone's computer so I think you'll be OK, especially if you get it from NGEmu.

Edit: Or you could make your own as I-Chan has done :p.
 
1 - 10 of 10 Posts
Top